Get Proposal
curl --request GET \
--url https://api.proposales.com/v3/proposals/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.proposales.com/v3/proposals/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.proposales.com/v3/proposals/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"title": "<string>",
"title_md": "<string>",
"description_html": "<string>",
"description_md": "<string>",
"archived_at": 123,
"attachments": [
{}
],
"background_image": {
"id": 123,
"uuid": "<string>"
},
"background_video": {
"id": 123,
"uuid": "<string>"
},
"blocks": [
{}
],
"company_address": "<string>",
"company_email": "<string>",
"company_id": 123,
"company_logo_uuid": "<string>",
"company_powerups": {},
"company_powerups_live": {},
"company_name": "<string>",
"company_phone": "<string>",
"company_registration_number": "<string>",
"company_tax_mode_live": "<string>",
"company_timezone": "<string>",
"company_avatar_uuid": "<string>",
"contact_email": "<string>",
"contact_name": "<string>",
"contact_phone": "<string>",
"contact_title": "<string>",
"creator_id": 123,
"creator_name": "<string>",
"currency": "<string>",
"data": {},
"editor": {
"notification_user_ids": {}
},
"expires_at": 123,
"invoicing": {},
"is_agreement": true,
"is_only_proposal_in_series": true,
"is_test": true,
"pending": true,
"pending_reason": "<string>",
"recipient_company_name": "<string>",
"recipient_email": "<string>",
"recipient_id": 123,
"recipient_is_set": true,
"recipient_name": "<string>",
"recipient_phone": "<string>",
"recipient_sources": {},
"series_uuid": "<string>",
"signatures": [
{}
],
"status_changed_at": 123,
"tax_options": {},
"tracking": {},
"updated_at": 123,
"value_with_tax": 123,
"value_without_tax": 123,
"version": 123,
"payments_enabled": true,
"contact_avatar_transform": "<string>",
"user_email": "<string>",
"payment": {},
"status": "<string>",
"uuid": "<string>",
"language": "<string>",
"background_image_uuid": "<string>"
}
}Proposals
Get Proposal
Get a proposal by its UUID
GET
/
v3
/
proposals
/
{uuid}
Get Proposal
uuid
The UUID of the proposal
Response
object
Show properties
Show properties
string
string
string
string
number
The UNIX timestamp when the proposal was archived.
null if active.array
Show child attributes
Show child attributes
array
Show child attributes
Show child attributes
string
string
number
string
object
object
string
string
string
string
string
string
string
string
string
string
number
string
string
object
number
Expiration date as UNIX timestamp, null if no expiration date.
object
boolean
boolean
boolean
boolean
string
string
string
number
boolean
string
string
object
string
array
number
object
object
number
number
number
number
boolean
string
string
object
string
The status of the proposal.
string
The proposal UUID.
string
The language of the proposal.
string
The background image UUID of the template.
⌘I